Bug 1207781 - (CVE-2015-1786) CVE-2015-1786 php-ZendFramework2: invalid CSRF validation of null or incorrectly formatted token identifiers (ZF2015-03)
CVE-2015-1786 php-ZendFramework2: invalid CSRF validation of null or incorrec...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150312,reported=2...
: Security
Depends On: 1207782 1207783
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-31 12:49 EDT by Vasyl Kaigorodov
Modified: 2016-01-21 05:25 EST (History)
4 users (show)

See Also:
Fixed In Version: Zend Framework 2.3.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 05:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2015-03-31 12:49:14 EDT
Zend\Validator\Csrf, starting in the Zend Framework 2.3 series, was not correctly identifying null or mal-formatted token identifiers, leading to false positive validations, and thus potentially allowing for Cross-Site Request Forgery vectors.

A patch was written that correctly identifies invalid token identifiers, ensuring that they invalidate the provided value.
It was discovered that the vulnerability was introduced specifically in the 2.3 series, and thus no patch was necessary against the 2.2 series.
Comment 1 Vasyl Kaigorodov 2015-03-31 12:49:53 EDT
Created php-ZendFramework2 tracking bugs for this issue:

Affects: fedora-all [bug 1207782]
Affects: epel-all [bug 1207783]
Comment 2 Shawn Iwinski 2015-07-19 22:09:46 EDT
All dependent bugs have been closed, can this tracking bug be closed as well?
Comment 3 Vasyl Kaigorodov 2015-07-21 05:37:59 EDT
Yep, this one can (and should) be closed.
Doing now.

Note You need to log in before you can comment on or make changes to this bug.